/*------------------------------------*\
    
    Large Half Media / Half Text Block - Block-Specific Styling

    This file contains styles for the Large Half Media / Half Text block.

\*------------------------------------*/

.large-half-media-half-text {
    display: flex;
    flex-direction: column;
}

.large-half-media-half-text__heading {
    margin-bottom: 30px;
}

.large-half-media-half-text__heading h2 {
    padding-bottom: 0;
}

.large-half-media-half-text__media {
    position: relative;
    width: 100%;
    min-height: 300px;
    margin-bottom: 30px;
}

.large-half-media-half-text__content {
    position: relative;
}

.media-bttn {
    position: absolute;
    top: 50%;
    left: 50%;
    border: none;
    transform: translate(-50%, -50%);
    transition: all 0.3s ease;
    z-index: 2;
}

.media-bttn:hover {
    border: none;
    transform: translate(-50%, -50%) scale(1.1);
    opacity: 0.8;
}

@media (min-width: 768px) {
    .large-half-media-half-text__media {
        min-height: 400px;
    }
}

@media (min-width: 1200px) {
    .large-half-media-half-text {
        flex-direction: row;
        min-height: 600px;
    }

    .large-half-media-half-text .flex-row {
        align-items: center;
    }

    .large-half-media-half-text.flex-opposite {
        flex-direction: row-reverse;
    }

    .large-half-media-half-text__media {
        width: 50%;
        min-height: auto;
        height: 100%;
        margin: 0;

        img {
            min-height: 550px;
        }
    }

    .large-half-media-half-text.flex-opposite .large-half-media-half-text__media {
        left: auto;
        right: 0;
    }

    .large-half-media-half-text__content {
        width: 50%;
        padding-left: 50px;
    }

    .flex-opposite .large-half-media-half-text__content {
        padding-left: 0;
        padding-right: 50px;
    }
}

